Subject: Re: [RFC/PATCH] reset: accept "git reset <removed file>"

From: Jonathan Nieder <[email-masked]>
Date: Tue, 19 Oct 2010 17:34:42 -0500

Junio C Hamano wrote:

> It is generally unsafe, I am afraid, and that is one of the reasons why
> verify_filename() does not look in the index (the other one was "it is
> merely a safety measure based on heuristics to help users, and no point
> spending extra code nor cycles", iow, deliberate laziness ;-)), making the
> proposal of this patch under discussion somewhat iffy.

Let's drop it, then.  I'll continue the practice of always including "--"
in examples suggested to new users.